SQL Pools - Update SQL Pools Configuration
Updates the SQL Pools configuration in the specified workspace.
Permissions
The caller must have admin workspace role.
Required Delegated Scopes
Workspace.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
PATCH https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/warehouses/sqlPoolsConfiguration
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
Request Body
| Name | Type | Description |
|---|---|---|
| customSQLPools |
A list of SQL pool elements. In update requests, you must explicitly specify the name of the pools to retain. Any SQL pool not included in the update request will be deleted. |
|
| customSQLPoolsEnabled |
boolean |
Indicates whether the SQL pools configuration is enabled. When set to false, the configuration is disabled but preserved. Re-enabling it restores the previously saved configuration. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
| Disable SQL Pools and delete all existing pools example |
| Enable SQL Pools and setup pools' configuration example |
| Update SQL Pools example |
Disable SQL Pools and delete all existing pools example
Sample request
PATCH https://api.fabric.microsoft.com/v1/workspaces/a97f3e88-9f0a-4183-b1d9-31e6eb00e778/warehouses/sqlPoolsConfiguration
{
"customSQLPoolsEnabled": false,
"customSQLPools": []
}
Sample response
Enable SQL Pools and setup pools' configuration example
Sample request
PATCH https://api.fabric.microsoft.com/v1/workspaces/a97f3e88-9f0a-4183-b1d9-31e6eb00e778/warehouses/sqlPoolsConfiguration
{
"customSQLPoolsEnabled": true,
"customSQLPools": [
{
"name": "ETL",
"isDefault": false,
"maxResourcePercentage": 20,
"optimizeForReads": false,
"classifier": {
"type": "Application Name",
"value": [
"ETL",
"Load",
"Pipeline"
]
}
},
{
"name": "Reporting",
"isDefault": false,
"maxResourcePercentage": 30,
"optimizeForReads": true,
"classifier": {
"type": "Application Name",
"value": [
"Reports"
]
}
},
{
"name": "Adhoc",
"isDefault": true,
"optimizeForReads": false,
"maxResourcePercentage": 50
}
]
}
Sample response
Update SQL Pools example
Sample request
PATCH https://api.fabric.microsoft.com/v1/workspaces/a97f3e88-9f0a-4183-b1d9-31e6eb00e778/warehouses/sqlPoolsConfiguration
{
"customSQLPoolsEnabled": true,
"customSQLPools": [
{
"name": "ETL",
"maxResourcePercentage": 20
},
{
"name": "Adhoc"
},
{
"name": "Reporting"
}
]
}
Sample response
Definitions
| Name | Description |
|---|---|
|
Custom |
Custom SQL pool element. |
|
Custom |
A classifier element. |
|
Custom |
Classifier element type. Additional classifier element types may be added over time. |
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Update |
SQL pools configuration request payload. |
CustomSQLPool
Custom SQL pool element.
| Name | Type | Description |
|---|---|---|
| classifier |
This is an object that holds the classifier that is applied to the SQL pool. |
|
| isDefault |
boolean |
Indicates that this is a default SQL pool. Only one pool can be marked as default. True - Sql Pool is the default, False - Sql Pool is not the default. |
| maxResourcePercentage |
integer (int32) |
Maximum percentage of workspace resources that this SQL pool is allowed to consume. Value is an integer in the range 1-100. The sum of maxResourcePercentage values across all SQL pools must not exceed 100 |
| name |
string |
Friendly name for the SQL pool. |
| optimizeForReads |
boolean |
Optimizes the SQL pool for read-heavy workloads. True - the SQL pool will leverage enhanced caching to improve read performance. False - the SQL pool will not use enhanced caching. Default is true. |
CustomSqlPoolClassifier
A classifier element.
| Name | Type | Description |
|---|---|---|
| type |
Classifier element type. |
|
| value |
string[] |
List of strings. |
CustomSqlPoolClassifierType
Classifier element type. Additional classifier element types may be added over time.
| Value | Description |
|---|---|
| Application Name |
Refers to specific application names applied to the SQL pool. |
| Application Name Regex |
Refers to a regular expression pattern used to match the application names applied to the SQL pool. |
| Statement Type |
Refers to SQL statement types applied to the SQL pool. |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
UpdateSQLPoolsConfigurationRequest
SQL pools configuration request payload.
| Name | Type | Description |
|---|---|---|
| customSQLPools |
A list of SQL pool elements. In update requests, you must explicitly specify the name of the pools to retain. Any SQL pool not included in the update request will be deleted. |
|
| customSQLPoolsEnabled |
boolean |
Indicates whether the SQL pools configuration is enabled. When set to false, the configuration is disabled but preserved. Re-enabling it restores the previously saved configuration. |